# Parsec \[WIP\]

A one-to-one translation of Haskell's
[Parsec](http://www.haskell.org/haskellwiki/Parsec) library to Ruby.

This would be horribly inefficient as Ruby is /not/ optimized for functional
use.

## Installation

    $ git clone https://github.com/utkarshkukreti/parsec.rb.git
    $ cd parsec.rb
    $ bundle install
    $ rake install

## Usage

Require the library

    require "parsec"

All functions are present in the `Parsec` module. You can just `extend Parsec`
in your code for testing, or include it in a class, and use instances of it.

## License

Copyright (c) 2013 Utkarsh Kukreti.

All code is licensed under the same license as Parsec's license, which is:

Copyright 1999-2000, Daan Leijen; 2007, Paolo Martini. All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

* Redistributions of source code must retain the above copyright notice,
  this list of conditions and the following disclaimer.
* Redistributions in binary form must reproduce the above copyright
  notice, this list of conditions and the following disclaimer in the
  documentation and/or other materials provided with the distribution.

This software is provided by the copyright holders "as is" and any express or
implied warranties, including, but not limited to, the implied warranties of
merchantability and fitness for a particular purpose are disclaimed. In no
event shall the copyright holders be liable for any direct, indirect,
incidental, special, exemplary, or consequential damages (including, but not
limited to, procurement of substitute goods or services; loss of use, data,
or profits; or business interruption) however caused and on any theory of
liability, whether in contract, strict liability, or tort (including
negligence or otherwise) arising in any way out of the use of this software,
even if advised of the possibility of such damage.
