# -*- encoding: utf-8 -*-
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'parsec/version'

Gem::Specification.new do |gem|
  gem.name          = "parsec"
  gem.version       = Parsec::VERSION
  gem.authors       = ["Utkarsh Kukreti"]
  gem.email         = ["utkarshkukreti@gmail.com"]
  gem.description   = "A one-to-one translation of Haskell’s Parsec library" +
                      " to Ruby."
  gem.summary       = gem.description
  gem.homepage      = ""
  gem.license       = "MIT"

  gem.files         = `git ls-files`.split($/)
  gem.executables   = gem.files.grep(%r{^bin/}) { |f| File.basename(f) }
  gem.test_files    = gem.files.grep(%r{^(test|spec|features)/})
  gem.require_paths = ["lib"]

  %w{rake rspec guard-rspec}.each do |name|
    gem.add_development_dependency name
  end
end
